local fn = _gn(0xBB40DD2270B65366)
--- Gets the ped in the specified seat of the passed vehicle.
-- If there is no ped in the seat, and the game considers the vehicle as ambient population, this will create a random occupant ped in the seat, which may be cleaned up by the game fairly soon if not marked as script-owned mission entity.
-- **NativeDB Added Parameter 3**: BOOL p2 (uses a different GetOccupant function)
-- @param vehicle The vehicle to get the ped for.
-- @param seatIndex See eSeatPosition declared in [`IS_VEHICLE_SEAT_FREE`](#\_0x22AC59A870E6A669).
-- @return A handle to a ped in the specified vehicle seat, or 0 if no such ped existed.
function Global.GetPedInVehicleSeat(vehicle, seatIndex)
	return fn(vehicle, seatIndex, _ri)
end
